Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
judge = client.dataframer.judges.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(judge.id)curl https://df-api.dataframer.ai/api/dataframer/judges/$JUDGE_ID/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"latest_version": {
"version_number": 123,
"model": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dimensions": [
{
"dimension_id": "<string>",
"name": "<string>",
"scoring_model": "pass_fail",
"required": true
}
]
}
}{
"error": "<string>"
}Judges
Get judge
Retrieve one judge with its latest ready version
GET
/
api
/
dataframer
/
judges
/
{judge_id}
/
Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
judge = client.dataframer.judges.retrieve(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(judge.id)curl https://df-api.dataframer.ai/api/dataframer/judges/$JUDGE_ID/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"latest_version": {
"version_number": 123,
"model": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"dimensions": [
{
"dimension_id": "<string>",
"name": "<string>",
"scoring_model": "pass_fail",
"required": true
}
]
}
}{
"error": "<string>"
}Authorizations
API Key authentication. Format: "Bearer YOUR_API_KEY"

